package com.fjhx.customer.controller.customer;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.vo.CustomerVo;
import com.fjhx.customer.entity.customer.dto.CustomerSelectDto;
import com.fjhx.customer.entity.customer.dto.CustomerDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.customer.service.customer.CustomerService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 客户表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
@RestController
@RequestMapping("/customer")
public class CustomerController {

    @Autowired
    private CustomerService customerService;

    /**
     * 客户表分页
     */
    @PostMapping("/page")
    public Page<CustomerVo> page(@RequestBody CustomerSelectDto dto) {
        return customerService.getPage(dto);
    }

    /**
     * 客户表明细
     */
    @PostMapping("/detail")
    public CustomerDto detail(@RequestBody BaseSelectDto dto) {
        return customerService.detail(dto.getId());
    }

    /**
     * 客户表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody CustomerDto customerDto) {
        customerService.add(customerDto);
    }

    /**
     * 客户表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody CustomerDto customerDto) {
        customerService.edit(customerDto);
    }

    /**
     * 客户表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        customerService.delete(dto.getId());
    }





}
